
public class Class225_Sub15 extends Class225 {

   static int anInt8554 = 0;
   int anInt8555;
   public PacketBuffer buffer;
   public int anInt8557;
   static Class225_Sub15[] aClass225_Sub15Array8558 = new Class225_Sub15[300];
   static Class86 aClass86_8559;
   OutgoingOpcode aClass302_8560;


   public void method13604(int var1) {
      if(991326601 * anInt8554 >= aClass225_Sub15Array8558.length) {
         if(var1 == -1699359022) {
            ;
         }

      } else {
         aClass225_Sub15Array8558[(anInt8554 += 1687114937) * 991326601 - 1] = this;
      }
   }

   static Class225_Sub15 method13605() {
      return 0 == 991326601 * anInt8554?new Class225_Sub15():aClass225_Sub15Array8558[(anInt8554 -= 1687114937) * 991326601];
   }

   public static Class225_Sub15 method13606(OutgoingOpcode var0, ISAACCipher var1) {
      Class225_Sub15 var2 = Class119.method2325((byte)-115);
      var2.aClass302_8560 = var0;
      var2.anInt8555 = 423651997 * var0.anInt3805;
      if(-1 == -599501375 * var2.anInt8555) {
         var2.buffer = new PacketBuffer(260);
      } else if(-599501375 * var2.anInt8555 == -2) {
         var2.buffer = new PacketBuffer(10000);
      } else if(-599501375 * var2.anInt8555 <= 18) {
         var2.buffer = new PacketBuffer(20);
      } else if(-599501375 * var2.anInt8555 <= 98) {
         var2.buffer = new PacketBuffer(100);
      } else {
         var2.buffer = new PacketBuffer(260);
      }

      var2.buffer.method16052(var1, 1394377767);
      var2.buffer.method16027(-340223239 * var2.aClass302_8560.anInt3865, 5678413);
      var2.anInt8557 = 0;
      return var2;
   }

   public static Class225_Sub15 method13607(OutgoingOpcode var0, ISAACCipher var1) {
      Class225_Sub15 var2 = Class119.method2325((byte)-55);
      var2.aClass302_8560 = var0;
      var2.anInt8555 = 423651997 * var0.anInt3805;
      if(-1 == -599501375 * var2.anInt8555) {
         var2.buffer = new PacketBuffer(260);
      } else if(-599501375 * var2.anInt8555 == -2) {
         var2.buffer = new PacketBuffer(10000);
      } else if(-599501375 * var2.anInt8555 <= 18) {
         var2.buffer = new PacketBuffer(20);
      } else if(-599501375 * var2.anInt8555 <= 98) {
         var2.buffer = new PacketBuffer(100);
      } else {
         var2.buffer = new PacketBuffer(260);
      }

      var2.buffer.method16052(var1, 1394377767);
      var2.buffer.method16027(-340223239 * var2.aClass302_8560.anInt3865, 5678413);
      var2.anInt8557 = 0;
      return var2;
   }

   public void method13608() {
      if(991326601 * anInt8554 < aClass225_Sub15Array8558.length) {
         aClass225_Sub15Array8558[(anInt8554 += 1687114937) * 991326601 - 1] = this;
      }
   }

   public void method13609() {
      if(991326601 * anInt8554 < aClass225_Sub15Array8558.length) {
         aClass225_Sub15Array8558[(anInt8554 += 1687114937) * 991326601 - 1] = this;
      }
   }

   public void method13610() {
      if(991326601 * anInt8554 < aClass225_Sub15Array8558.length) {
         aClass225_Sub15Array8558[(anInt8554 += 1687114937) * 991326601 - 1] = this;
      }
   }

   public void method13611() {
      if(991326601 * anInt8554 < aClass225_Sub15Array8558.length) {
         aClass225_Sub15Array8558[(anInt8554 += 1687114937) * 991326601 - 1] = this;
      }
   }

   public static int method13612(int var0, int var1, boolean var2, byte var3) {
      Class225_Sub38 var4 = Class167_Sub1.method14830(var0, var2, -1840433516);
      if(null == var4) {
         return 0;
      } else if(var1 == -1) {
         return 0;
      } else {
         int var5 = 0;

         for(int var6 = 0; var6 < var4.anIntArray8713.length; ++var6) {
            if(var1 == var4.anIntArray8715[var6]) {
               var5 += var4.anIntArray8713[var6];
            }
         }

         return var5;
      }
   }

   static final void method13613(Class508 var0, byte var1) {
      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = Class549.method11788((byte)92).toString();
   }
}
